var qtdeMostrada = -qtdeCarregar;

function carregarDadosconsig() {
	$(document).off("scrollstop");	
	qtdeMostrada += qtdeCarregar;
	
	//a pressa nos obriga a esses cocos
	if (document.getElementById('tabelarelconsig').childNodes[3].innerHTML.indexOf("background-color: green") > 0) {
		return;
	}
	
	$('#colmostarporrelconsig').text($('#consigmostrarpor').val());
	$('#divtabelaconsig').css('display', 'none'); 
	$.ajaxSetup({
		beforeSend:	loads,
		complete: removes
	});
	$.post('consignados/relconsignados.php',
		{
			familia: $('#filtrofamiliaConsig').val(),
			grupo: $('#filtrogrupoConsig').val(),
			subgrupo: $('#filtrosubgrupoConsig').val(),
			produto: $('#codfiltroprodutoConsig').val(),
			supervisor: $('#filtrosupervisorConsig').val(),
			vendedor: $('#filtrovendedorConsig').val(),
			cliente: $('#codfiltroclienteConsig').val(),
			dataini: $('#datainiconsig').val(),
			datafin: $('#datafinconsig').val(),
			apenasComSaldoConsig: document.getElementById('apenasComSaldoConsig').checked,
			mostrarTipoConsig: document.getElementById('mostrarTipoConsig').checked,
			codcidade: $("#filtrocidadeConsig").val(),
			nroregiao: $("#filtroregiaoConsig").val(),
			mostrarpor: $('#consigmostrarpor').val(),
			agruparpor: $('#consigagrupar').val(),
			ordenarpor: $('#consigordenar').val(),
			inicio: qtdeMostrada,
			qtde: qtdeCarregar
		},
		function(data){
			if (data.length > 5) { //gambito pq retora vazio de tamanho 5 (??????)
				document.getElementById('tabelarelconsig').childNodes[3].innerHTML += data;
				$("#tabelarelconsig").table("refresh");

			} else if (qtdeMostrada == 0) {
				alert("Período sem registros");
				$("#voltarrelconsig").click();
			}
		}
	);
	
	
	$(document).on('scrollstop', scrollStopconsig);
	
	$('#divtabelaconsig').css('display', 'block'); 
	
	if(document.getElementById('mostrarTipoConsig').checked){
		$("#th_tipo").show();
		$("#th_tipo_th")
		.removeClass('ui-table-cell-hidden')
		.addClass('ui-table-cell-visible');
		$.ajaxSetup({
			beforeSend:	loads,
			complete: removes
		});
	}else{
		$("#th_tipo").hide();
		$("#th_tipo_th")
		.removeClass('ui-table-cell-visible')
		.addClass('ui-table-cell-hidden');
		$.ajaxSetup({
			beforeSend:	loads,
			complete: removes
		});
	}
}

function scrollStopconsig() {
	checkScroll(carregarDadosconsig, "relconsig"); //checkScroll em dadosJS.js
}
$.mobile.document

	.on('change', '#consigmostrarpor', function(){
		if($('#consigmostrarpor').val() == 'Subgrupo'){
			$('#consigagrupar').val('Grupo');
			$('#consigagrupar').selectmenu('refresh');
			$('#consigagrupar').selectmenu('disable');
		}else{
			$('#consigagrupar').selectmenu('enable');
		}
	})
	
	.on('click', '#botaovisualizarconsig', function() {
		qtdeMostrada = -qtdeCarregar;
		carregarDadosconsig();
	})
	
	.on('click', '#voltarrelconsig', function(){
		$("#tabelarelconsig tbody tr").remove();
	})
	
	.on('pageshow', '#relconsig', function() {
		$(document).on('scrollstop', scrollStopconsig);		
	})
	